您的位置: 开心技术乐园 > 技术仓库 > 服务器技术 > 阅读文章

PHP环境缺少VC运行库 – PHP版本与VC版本的对应依赖关系

  早上出差在飞机上,用的是新的小笔记本。结果因为工作原因需要临时搭建一个 PHP 运行环境测试网站,下载了 phpStudy。因为是特别“干净”的系统,发现系统里根本没有安装 VC 运行库,导致 PHP 无法正常运行。很多人可能不清楚,PHP 和 微软的 Visual C++ 也有关系吗?

  答案是肯定的。很多常用软件都是采用 Microsoft Visual Studio 编写的,这类软件的运行就需要依赖 Visual C++ 运行库,比如 QQ迅雷、Adobe 软件等,如果没有安装 VC++ 运行库或者安装的版本不完整,就可能会导致这些软件启动时报错,或者提示缺少库文件。

  回到原题,PHP 与 VC运行库的关系是怎么样的呢?php5.3、5.4和apache都是用vc9编译,电脑必须安装vc9运行库(Microsoft Visual C++ 2008 SP1 Redistributable Package)才能运行;php5.5、5.6是vc11编译,如用php5.5、5.6必须安装vc11运行库;php7.0、7.1是vc14编译,如用php7.0、7.1及以上版本必须安装vc14运行库。

    • 本文标签:
    • 人气热度:1,242
    • 生产日期:2019年4月15日 - 23时31分11秒

    error: Content is protected !!